%global pypi_name pygtrie
%global commitId 1587471d95967fbc7339d1981fd3df28830e9c3a

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.5.0
Release:        1%{?dist}
Summary:        A pure Python trie data structure implementation

License:        Apache-2.0
URL:            https://github.com/mina86/pygtrie
Source0:        python-pygtrie-1587471d95967fbc7339d1981fd3df28830e9c3a.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description \
pygtrie is a pure Python implementation of a trie data structure compatible with\
Python 2.x and Python 3.x.

%description
%{summary}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
set -ex
echo %{version} > .version
%py3_build

%install
set -ex
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Sep 23 2022 Satoe Imaishi <simaishi@redhat.com> - 2.5.0-1
- Initial release
